Bug 209841 - kernel-xen-2.6.18-1.2726 cannot reboot
Summary: kernel-xen-2.6.18-1.2726 cannot reboot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Xen Maintainance List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 209315
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-06 21:28 UTC by Stephen Tweedie
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 01:09:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Tweedie 2006-10-06 21:28:56 UTC
+++ This bug was initially created as a clone of Bug #209315 +++

Description of problem:
kernel-xen-2.6.18-1.2726 cannot reboot: it results in an infinite series of
kernel oopses if you try.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2726

How reproducible:
100%

Steps to Reproduce:
1. boot
2. reboot
  
Actual results:
Watch the console fill with hypervisor oopses

Expected results:
reboots.

-- Additional comment from sct@redhat.com on 2006-10-04 11:54 EST --
Created an attachment (id=137749)
Sample console output showing a couple of iterations of the panic.


-- Additional comment from sct@redhat.com on 2006-10-04 11:57 EST --
Should be fixed in xen-unstable cset 11691


-- Additional comment from sct@redhat.com on 2006-10-04 12:06 EST --
Fix confirmed.

Comment 1 Stephen Tweedie 2006-10-06 21:31:46 UTC
This was a recent regression in the rawhide Xen HV just before RHEL-5's version;
the fix is from upstream xen-unstable and is needed to allow Xen boxes to reboot.

kernel/devel:
PatchSet 4041
Date: 2006/10/04 18:45:00
Author: sct
Branch: HEAD
Tag: (none)
Log:
Fix for oops on reboot of xen dom0 (bug 209315)

Members:
        kernel-2.6.spec:1.2737->1.2738
        xen-dom0-reboot.patch:INITIAL->1.1


Comment 2 Don Zickus 2006-10-09 22:04:03 UTC
in kernel-2.6.18-1.2718.el5

Comment 3 RHEL Product and Program Management 2006-10-09 22:32:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 RHEL Product and Program Management 2006-12-23 01:09:52 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.